Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype.convertor
Class FormattingLongConvertor

    java.lang.Object
      org.apache.cocoon.forms.datatype.convertor.FormattingDecimalConvertor
          org.apache.cocoon.forms.datatype.convertor.FormattingLongConvertor

All Implemented Interfaces:
  Convertor

public class FormattingLongConvertor
extends FormattingDecimalConvertor

A Convertor for `Long`s backed by the `DecimalFormat` class.

This class is mostly the same as the `FormattingDecimalConvertor`, so see there for more information.

Version:
  $Id: FormattingLongConvertor.java 587759 2007-10-24 03:00:37Z vgritsenko $

Nested Class Summary

Nested classes inherited from class org.apache.cocoon.forms.datatype.convertor.Convertor
`Convertor.FormatCache`

Field Summary

Fields inherited from class org.apache.cocoon.forms.datatype.convertor.FormattingDecimalConvertor
`CURRENCY, INTEGER, NUMBER, PERCENT`

Constructor Summary
`FormattingLongConvertor()`

Method Summary
`ConversionResult` | `convertFromString(String value, Locale locale, Convertor.FormatCache formatCache)` Converts string representation into the object of convertor's type.
`protected int` | `getDefaultVariant()`
`Class` | `getTypeClass()`

Methods inherited from class org.apache.cocoon.forms.datatype.convertor.FormattingDecimalConvertor
`addFormattingPattern, convertToString, generateSaxFragment, getDecimalFormat, setNonLocalizedPattern, setVariant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormattingLongConvertor

    public FormattingLongConvertor()

Method Detail

### convertFromString

    public ConversionResult convertFromString(String value,
                                              Locale locale,
                                              Convertor.FormatCache formatCache)

  Description copied from interface: `Convertor`
  Converts string representation into the object of convertor's type.

  Specified by:
    `convertFromString` in interface `Convertor`
  Overrides:
    `convertFromString` in class `FormattingDecimalConvertor`

### getDefaultVariant

    protected int getDefaultVariant()

  Overrides:
    `getDefaultVariant` in class `FormattingDecimalConvertor`

### getTypeClass

    public Class getTypeClass()

  Specified by:
    `getTypeClass` in interface `Convertor`
  Overrides:
    `getTypeClass` in class `FormattingDecimalConvertor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.